=== debian/changelog ===
granite (5.2.1-1) unstable; urgency=medium

  * New upstream release 5.2.1.
  * debian/patches: Refresh patches.
  * debian/symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Thu, 08 Nov 2018 20:31:22 -0500
