=== debian/changelog ===
granite (5.2.2-1) unstable; urgency=high

  * New upstream release 5.2.2.
  * debian/patches: Add a patch to revert upstream usage of an
    elementry-specific gsettings schema. (Closes: #916173)
  * debian/control:
    + Bump Standards-Version to 4.3.0.
    + Build-depend on debhelper-compat (= 11) instead of using
      debian/compat.
  * debian/symbols: Add a Build-Depends-Package field.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Dec 2018 07:32:10 +0800
