=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake (>= 2.8),
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  gobject-introspection (>= 1.41.4-1~),
  libgee-0.8-dev,
  libgirepository1.0-dev,
  libgtk-3-dev (>= 3.22),
  valac (>= 0.40),
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/elementary/granite
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/granite
