## granite 5.2.3

=== debian/changelog ===
granite (5.2.3-1) unstable; urgency=medium

  * New upstream release 5.2.3.
  * debian/control:
    + Follow upstream and build using meson buildsystem.
    + Bump debhelper compat to v12.
  * debian/copyright: Remove copyright information for cmake files.
  * debian/patches: Drop all patches.
  * debian/symbols: Refresh symbols.

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Feb 2019 16:36:21 -0500
