=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- cmake (>= 2.8),
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
+ gettext,
  gobject-introspection (>= 1.41.4-1~),
  libgee-0.8-dev,
  libgirepository1.0-dev,
  libgtk-3-dev (>= 3.22),
+ meson,
  valac (>= 0.40),
+Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Homepage: https://github.com/elementary/granite
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git
