## granite 5.2.5

=== debian/changelog ===
granite (5.2.5-1) unstable; urgency=medium

  * New upstream release 5.2.5.
  * debian/symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Sep 2019 11:28:59 -0400

granite (5.2.4-1) unstable; urgency=medium

  * New upstream release 5.2.4.
    + Various fixes. (Closes: #913756)
  * debian/control: Bump Standards-Version to 4.4.0.
  * debian/copyright: Refresh information.
  * debian/symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Thu, 29 Aug 2019 16:18:30 -0400
