## granite 5.3.0

=== debian/changelog ===
granite (5.3.0-1) unstable; urgency=medium

  * New upstream release 5.3.0.
  * debian/control: Bump Standards-Version to 4.4.1.
  * debian/symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Dec 2019 00:29:39 -0500
