=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  meson,
  valac (>= 0.40),
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/elementary/granite
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/granite
