## granite 5.3.1

=== debian/changelog ===
granite (5.3.1-1) unstable; urgency=medium

  * New upstream release 5.3.1. 
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Apr 2020 00:10:46 -0400
