## granite 5.4.0

=== debian/changelog ===
granite (5.4.0-1) unstable; urgency=medium

  * New upstream release 5.4.0.
  * debian/control:
    + Bump debhelper compat to v13.
  * debian/symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 May 2020 09:39:53 -0400
