## granite 5.5.0

=== meson_options.txt ===
option('documentation', type: 'boolean', value: false, description: 'generate documentation with gtk-doc and valadoc')
