=== debian/changelog ===
granite (5.5.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 25 Apr 2021 15:59:57 -0400

granite (5.5.0-1) unstable; urgency=medium

  * New upstream release 5.5.0. 

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Jul 2020 17:21:31 -0400
