=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: granite
 Section: libs
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
@@ -11,6 +12,7 @@
  gobject-introspection (>= 1.41.4-1~),
  libgee-0.8-dev,
  libgirepository1.0-dev,
+ libbrotli-dev,
  libgtk-3-dev (>= 3.22),
  meson,
  valac (>= 0.40),
