## granite 6.1.2

=== debian/changelog ===
granite (6.1.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libgtk-3-dev and valac.
    + libgranite-dev: Drop versioned constraint on libgtk-3-dev in Depends.

  [ Boyuan Yang ]
  * New upstream release 6.1.2.
  * debian/libgranite6.symbols: Add new symbol.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Oct 2021 21:08:20 -0400

granite (6.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/libgranite6.symbols: Refreshed.

  [ Debian Janitor ]
  * Remove unused license definitions for LGPL-2+.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on gobject-introspection.

 -- Boyuan Yang <byang@debian.org>  Sun, 29 Aug 2021 17:07:49 -0400

granite (6.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Aug 2021 15:15:43 -0400

granite (6.1.0-1~exp1) experimental; urgency=medium

  * New upstream release 6.1.0.
  * debian/upstream/metadata: Add metadata.
  * debian/libgranite6.symbols: Refresh symbols.

 -- Boyuan Yang <byang@debian.org>  Fri, 23 Jul 2021 16:57:38 -0400

granite (6.0.0-1~exp2) experimental; urgency=high

  * Let libgranite6 Breaks+Replaces: libgranite5. (Closes: #978509)

 -- Boyuan Yang <byang@debian.org>  Mon, 26 Apr 2021 13:30:10 -0400

granite (6.0.0-1~exp1) experimental; urgency=medium

  * New upstream release 6.0.0.
  * Bump SONAME: 5 -> 6.
  * debian/libgranite6.symbols: Reset symbols.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Apr 2021 12:03:16 -0400
