=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: granite
 Section: libs
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  gettext,
- gobject-introspection (>= 1.41.4-1~),
+ gobject-introspection,
  libgee-0.8-dev,
  libgirepository1.0-dev,
  libbrotli-dev,
- libgtk-3-dev (>= 3.22),
+ libgtk-3-dev,
  meson,
- valac (>= 0.40),
+ valac,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/elementary/granite
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/granite
@@ -41,7 +40,7 @@
 Section: misc
 Architecture: any
 Depends:
- libgranite5 (= ${binary:Version}),
+ libgranite6 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: extension of GTK+ libraries (demo binary)
@@ -76,8 +75,8 @@
  gir1.2-granite-1.0 (= ${binary:Version}),
  libgee-0.8-dev,
  libglib2.0-dev,
- libgranite5 (= ${binary:Version}),
- libgtk-3-dev (>= 3.3.14),
+ libgranite6 (= ${binary:Version}),
+ libgtk-3-dev,
  ${misc:Depends},
 Description: extension of GTK+ libraries (development files)
  Granite is an extension of GTK+. Among other things, it provides
@@ -86,7 +85,7 @@
  .
  This package contains the static library and header files.
 
-Package: libgranite5
+Package: libgranite6
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -95,6 +94,10 @@
  ${shlibs:Depends},
 Recommends:
  contractor,
+Breaks:
+ libgranite5,
+Replaces:
+ libgranite5,
 Description: extension of GTK+ libraries
  Granite is an extension of GTK+. Among other things, it provides
  complex widgets and convenience functions designed for use in apps
