## granite 6.2.0

=== debian/changelog ===
granite (6.2.0-5) unstable; urgency=medium

  * QA upload.
  * debian/control: Drop obsolete recommended package contractor.
    (Closes: #1115442)

 -- Boyuan Yang <byang@debian.org>  Wed, 17 Sep 2025 11:48:13 -0400

granite (6.2.0-4) unstable; urgency=medium

  * QA upload.
  * debian/control: Migrate away from libgirepository1.0-dev.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Aug 2025 19:18:14 -0400

granite (6.2.0-3) unstable; urgency=medium

  * QA upload.
  * Orphan package.
  * debian/watch: Monitor upstream 6.x branch.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Update Vcs-* fields to use new location with branch.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Aug 2022 16:32:43 -0400

granite (6.2.0-2) unstable; urgency=medium

  * Frozen upstream: no new release expected for granite 6.x since
    granite 7.x has switched to GTK4. granites 7.x is packaged as
    separate, co-installable packages.
  * debian/gbp.conf: Specify packaging branch.
  * debian/libgranite6.symbols: Add new symbols.
  * debian/control: Let libgranite6 and libgranite-common Breaks and
    Replaces libgranite0, libgranite5 and elementary-tweaks.
    (LP: #1917321, #1939741, #1948338, #1950965, #1958368)

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jun 2022 07:39:25 -0400

granite (6.2.0-1) unstable; urgency=medium

  * New upstream release 6.2.0.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/libgranite6.symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Nov 2021 16:04:13 -0500
