=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: granite
 Section: libs
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
-Uploaders:
- Yangfl <mmyangfl@gmail.com>,
- Boyuan Yang <byang@debian.org>,
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  gettext,
- gobject-introspection,
+ gir1.2-cairo-1.0-dev <!nogir>,
+ gir1.2-gdk-3.0-dev <!nogir>,
+ gir1.2-gdkpixbuf-2.0-dev <!nogir>,
+ gir1.2-gee-0.8-dev <!nogir>,
+ gir1.2-gio-2.0-dev <!nogir>,
+ gir1.2-gobject-2.0-dev <!nogir>,
+ gir1.2-gtk-3.0-dev <!nogir>,
+ gir1.2-pango-1.0-dev <!nogir>,
+ gobject-introspection <!nogir>,
+ libbrotli-dev,
  libgee-0.8-dev,
- libgirepository1.0-dev,
- libbrotli-dev,
  libgtk-3-dev,
  meson,
  valac,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/elementary/granite
-Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git
-Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/granite
+Vcs-Git: https://salsa.debian.org/debian/granite.git -b debian/granite-6/master
+Vcs-Browser: https://salsa.debian.org/debian/granite/-/tree/debian/granite-6/master
 
 Package: gir1.2-granite-1.0
 Section: introspection
@@ -57,9 +61,14 @@
 Depends:
  ${misc:Depends},
 Replaces:
+ elementary-tweaks,
  libgranite0 (>> 0.2~),
+ libgranite5,
 Breaks:
  libgranite0 (>> 0.2~),
+ libgranite5,
+Conflicts:
+ elementary-tweaks,
 Description: extension of GTK+ libraries (common files)
  Granite is an extension of GTK+. Among other things, it provides
  complex widgets and convenience functions designed for use in apps
@@ -77,7 +86,10 @@
  libglib2.0-dev,
  libgranite6 (= ${binary:Version}),
  libgtk-3-dev,
+ ${gir:Depends},
  ${misc:Depends},
+Provides:
+ ${gir:Provides},
 Description: extension of GTK+ libraries (development files)
  Granite is an extension of GTK+. Among other things, it provides
  complex widgets and convenience functions designed for use in apps
@@ -92,12 +104,15 @@
  libgranite-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
- contractor,
 Breaks:
+ libgranite0,
  libgranite5,
 Replaces:
+ elementary-tweaks,
+ libgranite0,
  libgranite5,
+Conflicts:
+ elementary-tweaks,
 Description: extension of GTK+ libraries
  Granite is an extension of GTK+. Among other things, it provides
  complex widgets and convenience functions designed for use in apps
