=== debian/watch ===
version=4
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%granite-$1.tar.gz%" \
   https://github.com/elementary/granite/tags \
   (?:.*?/)?(6)(?:\.)(\d[\d\.]*)\.tar\.gz debian uupdate
