## granite io-0.5.0

=== contrib/00_example/requirements.txt ===
-e ../../../granite-io
openai
